require "conf"
require "player"
require "game"
require "world"
require "math"
require "camera"

function math.rsign()
	 return math.random(2) == 2 and 1 or -1 
end

function love.load()
World.load()
World.init()
World.build()
Player.spawn()
end

function love.update(dt)
	
	Player.update(dt)
	
	if love.keyboard.isDown("d") then
		Player.moveRight(dt)
	elseif love.keyboard.isDown("a") then
		Player.moveLeft(dt)
	else 
		Player.xVeloicty = 0
	end
	if love.keyboard.isDown("w") or love.keyboard.isDown(" ") then
		Player.jump(dt)
	end 

end

function love.draw()
World.draw()
Player.draw()
end

function love.keypressed(key)
   if key == "escape" then
      love.event.quit()
   end
end

function CheckCollision(x1,y1,w1,h1, x2,y2,w2,h2)
  return x1 < x2+w2 and
         x2 < x1+w1 and
         y1 < y2+h2 and
         y2 < y1+h1
end