World = {}

screenW = 1280
screenH = 820



function World.load()

	block = {
		width = 2,
		height = 820,
		color = {132,132,132, 255}
	}
	
	node = {}

end

function World.init()

qtrWidth = screenW/8
qtrHeight = screenH/8

homeBlock = {
	x = 0,
	y = math.random(qtrHeight, screenH - qtrHeight),
	width = 2,
	height = 820,
	color = {255,255,255,255}
}



end

function World.build()
	startingX =  homeBlock.x  
	startingY =  homeBlock.y 
	tempY = 0

	for i = 1, 1280 do 
		tempNode = {}
		
		--block x value is the home block x +- 32 times the itteration
		tempNode.x = startingX + (i * 2)
		rand =math.random(1,3)
		
		if tempY == 0 then
			tempNode.y = startingY + (math.rsign() * 2)
		else 
			if rand == 1 then
				tempNode.y = tempY + (math.rsign() * 2)
			else 
				tempNode.y = tempY
			end
		end
		
		tempY = tempNode.y
		table.insert(node, tempNode)

	end

end

function World.draw()
	
		for i,v in ipairs(node) do
		love.graphics.setColor(block.color)
		love.graphics.rectangle("fill" , v.x, v.y,block.width,block.height)
	end
	
	love.graphics.setColor(homeBlock.color)
	love.graphics.rectangle("fill", homeBlock.x,homeBlock.y,homeBlock.width,homeBlock.height,homeBlock.color)
	

end