Player = {
	x = 0,
	y = 0,
	width = 3,
	height = 5,
	speed = 100,
	jumpSpeed = 10,
	yVeloicty = 0,
	xVeloicty = 0,
	onGround = false,
	color = {100,100,100,255}
}
debug = 0
gravity = .1

screenW = 1280
screenH = 820

function Player.spawn()

	Player.x = 100
	Player.y = homeBlock.y - 100
	

end

function Player.moveRight(dt)
	Player.xVeloicty = Player.xVeloicty + (Player.speed * dt)
	if Player.xVeloicty >= 100 then
		Player.xVeloicty = 100
	end
end

function Player.moveLeft(dt)
	Player.xVeloicty = Player.xVeloicty - (Player.speed * dt)
	if Player.xVeloicty >= 100 then
		Player.xVeloicty = 100
	end
end

function Player.jump(dt)
		Player.yVeloicty = Player.jumpSpeed 
end

function Player.update(dt)

	for i,v in ipairs(node) do
		if CheckCollision(Player.x,Player.y,Player.width,Player.height, v.x,v.y,2,1) then
			Player.onGround = true
		else 
			Player.onGround = false
		end
	end
	if Player.onGround == true then
		debug = 1
	else 
		debug = 2
	end
	
	
	-- move player x
	Player.x = Player.x + (Player.xVeloicty * dt)
	
	--move player y
	if Player.onGround == false then
		Player.yVeloicty = Player.yVeloicty - (gravity * dt)
	else 
		Player.yVeloicty = 0
	end
		Player.y = Player.y - (Player.yVeloicty)

	
end

function Player.draw()

	love.graphics.rectangle("fill", Player.x,Player.y,Player.width,Player.height,Player.color)

	love.graphics.print(debug, 20,20)
end